import request from '@/utils/request'

// 首页数据
export function getIndex(data : any) {
	return request.get({ url: '/robot/index', data }, { isAuth: true })
}
//量化买入
export function buy(data : any) {
	return request.post({ url: '/robot/buy', data }, { isAuth: true })
}
//量化记录
export function recordLists(data : any) {
	return request.get({ url: '/robot/recordLists', data }, { isAuth: true })
}


//抢单
export function grab(data : any) {
	return request.post({ url: '/robot/grab', data }, { isAuth: true })
}
//获取进行中订单
export function grabIngRecord() {
	return request.get({ url: '/robot/grabIngRecord' }, { isAuth: true })
}

//订单支付
export function grabPay(data : any) {
	return request.post({ url: '/robot/grabPay', data }, { isAuth: true })
}